Skip to main content

List personal questions

GET 

/nevisidm/api/core/v1/:clientExtId/personal-questions

Since: 2.79.0

Required permission(s): AccessControl.ClientView,AccessControl.PersonalQuestionView

Returns all personal questions belonging to the client with the given external ID. Results are paginated using a continuation token.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return per page.

    Example: 100

Responses

Personal questions retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the personal question.

    clientExtId string

    The external ID of the client to which the personal question belongs.

    description string

    The textual description of the personal question.

    stateName string

    Possible values: [active, disabled, revoked]

    The lifecycle state of the personal question.

    displayName object

    Language-dependent display name of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
    content object

    Language-dependent question text of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...